From 35b85c2101211999016c06a32ca58851fc994476 Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Sat, 10 Apr 2021 20:56:35 -0500
Subject: [PATCH 07/27] reltuples not relpages: Set pg_class.reltuples for
 partitioned tables

commit 0e69f705cc1a3df273b38c9883fb5765991e04fe
Author: Alvaro Herrera <alvherre@alvh.no-ip.org>
Date:   Fri Apr 9 11:29:08 2021 -0400
---
 src/backend/commands/analyze.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/backend/commands/analyze.c b/src/backend/commands/analyze.c
index cffcd54302..8aa329a2a0 100644
--- a/src/backend/commands/analyze.c
+++ b/src/backend/commands/analyze.c
@@ -660,7 +660,7 @@ do_analyze_rel(Relation onerel, VacuumParams *params,
 	{
 		/*
 		 * Partitioned tables don't have storage, so we don't set any fields in
-		 * their pg_class entries except for relpages, which is necessary for
+		 * their pg_class entries except for reltuples, which is necessary for
 		 * auto-analyze to work properly.
 		 */
 		vac_update_relstats(onerel, -1, totalrows,
-- 
2.17.0

